<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>

<HEAD>
   <TITLE>Raven VIB</TITLE>
   <meta http-equiv="refresh" content="5">
</HEAD>

<BODY>

<p>Last loaded at <span id="time"> </span></p>
<script>
 `use strict`
var datetime = new Date();
document.getElementById("time").textContent = datetime;
</script>

<h3>
<?
#include "config.th"
#include "functions.th"

// global-ish variable that get reused in this page
unsigned char i;

if (len(index_flash)) {
	sock.setdata(index_flash);
	sock.send();
	index_flash = "";
} ?></h3>


<?
// Read Leak early in case we need to post an alert
float leak_v0 = read_adc(LEAK0_ADC);
float leak_v1 = read_adc(LEAK1_ADC);

float leak_threshold = 1.0;

if (leak_v0 > leak_threshold) {
?>
<h3 style="color:red;">LEAK0 ALERT!</h3>
<? }
if (leak_v1 > leak_threshold) {
?>
<h3 style="color:red;">LEAK1 ALERT!</h3>
<? } ?>

<!-- ////////////////////////////////////////////////////// -->
<!-- VPSU -->
<hr/>
<h2>VPSU</h2>

<p>
<table>
<tr>
	<td colspan=2>
<?
    if ( are_any_thrusters_enabled() ) {
?>
		<p style="background-color:green; color: black; font-size:1.5em;  padding: 5em 20em;" >THRUSTER STATUS: ON</p>
<?
	} else {
?>
		<p style="background-color:red; color: black; font-size:1.5em;  padding: 5em 20em;">THRUSTERS STATUS: OFF</p>
<? } ?>
	</td>
</tr>
<tr><td><p/></td></tr>
<tr>
	<td>
	    <a style="text-decoration: none;" href="handle_vpsu.html?a8_thrusters=ON&a9_thrusters=ON&back=index.html">
		     <p style="background-color:LightGreen; color: black; font-size:1.5em;  padding: 5em 10em;">TURN ON</p>
	    </a>
	</td>
	<td>
		<a style="text-decoration: none;" href="handle_vpsu.html?a8_thrusters=OFF&a9_thrusters=OFF&back=index.html">
		      <p style="background-color:Salmon; color: black; font-size:1.5em;  padding: 5em 10em;" >TURN OFF</p>
        </a>
	</td>
</tr>
</table>
</p>

<p>
<table>
<tr><th>Channel</th><th>Status</th><th></th><th></th></tr>
<?
// Now output the current values
for (i = 0; i < NUM_VPSU; i++ ) {
?>
<tr><td><? 
	sock.setdata(vpsu_names[i]);
	sock.send();
?></td><td><?
	if (is_vpsu_enabled(vpsu_pins[i])) {
		sock.setdata("<p style=\"color:green;\">ON</p>");
	} else {
		sock.setdata("<p style=\"color:red;\">OFF</p>");
	}
	sock.send();
?></td><td>
	<a href="handle_vpsu.html?<?
	sock.setdata(vpsu_names[i]);
	sock.send();
?>=ON&back=index.html">ENABLE</a></td>
<td>
	<a href="handle_vpsu.html?<?
	sock.setdata(vpsu_names[i]);
	sock.send();
?>=OFF&back=index.html">DISABLE</a>
</td></tr>

<?
}
?>
</table>
</p>


<!-- ////////////////////////////////////////////////////// -->
<!-- SWITCHES -->
<hr/>
<h2>A10 Power</h2>

<p>
<table>
<tr><th>Channel</th><th>Status</th><th></th><th></th></tr>
<?

// Now output the current values
for (i = 0; i < NUM_SWITCH; i++ ) {
?>
<tr><td><? 
	sock.setdata(switch_names[i]);
	sock.send();
?></td><td><?
	if (io.lineget(switch_pins[i]) == HIGH) {
		sock.setdata("<p style=\"color:green;\">ON</p>");
	} else {
		sock.setdata("<p style=\"color:red;\">OFF</p>");
	}
	sock.send();
?></td><td>
	<a href="handle_switch.html?<?
	sock.setdata(switch_names[i]);
	sock.send();
?>=ON&back=index.html"">Turn ON</a></td>
<td>
	<a href="handle_switch.html?<?
	sock.setdata(switch_names[i]);
	sock.send();
?>=OFF&back=index.html"">Turn OFF</a>
</td></tr>

<?
}
?>
</table>
</p>

<!-- ////////////////////////////////////////////////////// -->
<!-- LEAK -->
<hr/>
<h2>Leak</h2>

<p>
<table>
<tr><th>Leak</th><th>Voltage</th></tr>
<tr><td>Leak0</td>
<? 
if (leak_v0 > leak_threshold) {
?>
	<td style="color:red;">
<? } else { ?>
	<td>
<? } 

sock.setdata(ftostr(leak_v0,FTOSTR_MODE_PLAIN,5));
sock.send();	
?></td></tr>
<tr><td>Leak1</td>
<? 
if (leak_v1 > leak_threshold) {
?>
	<td style="color:red;">
<? } else { ?>
	<td>
<? } 

sock.setdata(ftostr(leak_v1,FTOSTR_MODE_PLAIN,5));
sock.send();	
?></td></tr>
</table>
</p>

<!-- ////////////////////////////////////////////////////// -->
<!-- SEAPOINT -->
<hr/>
<h2>Seapoint</h2>

<?
float sp_v = read_adc(SEAPOINT_ADC);

unsigned char sp_gpio_gaina = io.lineget(SEAPOINT_GAINA_PIN);
unsigned char sp_gpio_gainb = io.lineget(SEAPOINT_GAINB_PIN);

unsigned int sp_range = seapoint_gain(sp_gpio_gaina, sp_gpio_gainb);
float sp_turb = seapoint_turbidity(sp_v, sp_range);
?>


<h3>Turbidity: <?
sock.setdata(ftostr(sp_turb,FTOSTR_MODE_PLAIN,2));
sock.send();
?> FTU</h3>

<h4>Range: <?
sock.setdata(str(sp_range));
?>  FTU</h4>

<ul>
<li><a href="handle_seapoint.html?range=25&back=index.html"">Set to 0-25 FTU</a>
<li><a href="handle_seapoint.html?range=125&back=index.html"">Set to 0-125 FTU</a>
<li><a href="handle_seapoint.html?range=500&back=index.html"">Set to 0-500 FTU</a>
<li><a href="handle_seapoint.html?range=4000&back=index.html"">Set to 0-4000 FTU</a>
</ul>

<table><th><td></td><td></td></th>
<tr><td>Raw voltage:</td><td><?
sock.setdata(ftostr(sp_v,FTOSTR_MODE_PLAIN,6));
sock.send();
?> V</td></tr>
<tr><td>Gain A:</td><td><?
// These polarities are from the "Seapoint" point of view
// The VIB contains a FET circuit so this is opposite the polarity
// of the GPO ping out from the Tibbo
if (sp_gpio_gaina == LOW) {
	sock.setdata("HIGH");
} else {
	sock.setdata("LOW");
}
sock.send();
?></td></tr>
<tr><td>Gain B:</td><td><?
if (sp_gpio_gainb == LOW) {
	sock.setdata("HIGH");
} else {
	sock.setdata("LOW");
}
sock.send();
?></td></tr>
</table>



</BODY></HTML>
